﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Utils;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Windows.UI.Xaml.Controls.Primitives;

namespace SfDataGridWithStackedHeaders
{
    internal delegate void Toggled();
    public class OrderInfoViewModel : NotificationObject, IDisposable
    {
       
        public OrderInfoViewModel()
        {
            OrdersListDetails = new OrderInfoRepository().GetListOrdersDetails(1000);
        }

        

        private List<OrderInfo> _ordersListDetails;

        /// <summary>
        /// Gets or sets the orders details.
        /// </summary>
        /// <value>The orders details.</value>
        public List<OrderInfo> OrdersListDetails
        {
            get { return _ordersListDetails; }
            set { _ordersListDetails = value; }
        }

        private ObservableCollection<OrderInfo> _ordersDetails;

        /// <summary>
        /// Gets or sets the orders details.
        /// </summary>
        /// <value>The orders details.</value>
        public ObservableCollection<OrderInfo> OrdersDetails
        {
            get { return _ordersDetails; }
            set { _ordersDetails = value; }
        }

        private List<string> _comboBoxItemsSource;

        public List<string> ComboBoxItemsSource
        {
            get { return _comboBoxItemsSource; }
            set { _comboBoxItemsSource = value; }
        }

     

        public void Dispose()
        {
            if (OrdersDetails != null)
            {
                this.OrdersDetails.Clear();
            }
            if (this.OrdersListDetails != null)
            {
                this.OrdersListDetails.Clear();
            }
        }
    }
}
